请问一下,eclipse 中 MyRunner 的报错是为什么呢?

问答 LUNLI ⋅ 于 2020-08-13 10:59:56 ⋅ 最后回复由 苏牛 2020-08-13 17:19:54 ⋅ 383 阅读

在eclipse中我的这个函数报错 说不能加override符号 可是我查了tool里边的同名函数 是一样的参数类型和返回值 不知道为什么不能用override,可能是我哪里写错了呢?

我把老师的myrunner粘贴过来也是一样的报错 但是老师的却可以用override
有点找不到原因 求帮助 谢谢!

public class MyRunner extends Configured implements Tool {

@Override
public int run(String [] args) throws Exception {
成为第一个点赞的人吧 :bowtie:
回复数量: 2
  • 青牛 国内首批大数据从业者,就职于金山,担任大数据团队核心研发工程师
    2020-08-13 12:05:55

    你的开发环境语法检测改成jdk1.8级别,懒得弄就把override去掉

  • 苏牛
    2020-08-13 17:19:54

    你maven 配置文件里没有指定JDK的版本 所以它 默认了1.5的jdk
    在pom文件里指定一波JDK即可

暂无评论~~
  • 请注意单词拼写,以及中英文排版,参考此页
  • 支持 Markdown 格式, **粗体**、~~删除线~~、`单行代码`, 更多语法请见这里 Markdown 语法
  • 支持表情,可用Emoji的自动补全, 在输入的时候只需要 ":" 就可以自动提示了 :metal: :point_right: 表情列表 :star: :sparkles:
  • 上传图片, 支持拖拽和剪切板黏贴上传, 格式限制 - jpg, png, gif,教程
  • 发布框支持本地存储功能,会在内容变更时保存,「提交」按钮点击时清空
Ctrl+Enter